* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
    font-family: "Poppins", sans-serif;
}

body {
    width: 100%;
    height: 100vh;
}

.game-main-container {
    background-color: #FFD700;
    margin-top: -23px;
}

.container-game {
    display: flex;
    justify-content: space-between;
    flex-flow: row wrap;
}

.card-game {
    width: 300px;
    height: 360px;
    border-radius: 20px;
    background: #f5f5f5;
    position: relative;
    padding: 1.5rem;
    border: 2px solid #c3c6ce;
    transition: 0.5s ease-out;
    margin: 20px auto 40px;
    overflow: visible;
}

.card-details {
    color: black;
    height: 100%;
    gap: 2px;
    display: grid;
    /* place-content: center; */
    overflow: hidden;
}

.card-details img {
    width: 120%;
    padding-right: 2.9rem;
    transition: all .50s ease-in-out;
}

.card-details img:hover {
    transform: scale(1.1);
}

.card-button {
    transform: translate(-50%, 125%);
    width: 65%;
    border-radius: 1rem;
    border: none;
    background: linear-gradient(to right, #0f0c29, #302b63, #24243e);
    color: #fff;
    font-size: 1.1rem;
    padding: .8rem 1rem;
    position: absolute;
    letter-spacing: 2px;
    left: 50%;
    bottom: 0;
    opacity: 0;
    transition: all .50s ease-out;
    cursor: pointer;
}

.text-body {
    color: rgb(134, 134, 134);
    padding-bottom: .9rem;
    font-size: .8rem;
}


/*Text*/

.text-title {
    font-size: 1.1rem;
    font-weight: bold;
    color: #1e1e1e;
    letter-spacing: 4px;
    padding-top: .5rem;
}


/*Hover*/

.card-game:hover {
    border-color: #03045e;
    box-shadow: 0 4px 18px 0 rgba(0, 0, 0, 0.25);
}

.card-game:hover .card-button {
    transform: translate(-50%, 50%);
    opacity: 1;
}


/* title */

.title {
    margin: 1.5rem 2rem 1rem;
    display: flex;
    justify-content: flex-start;
    letter-spacing: 4px;
    text-transform: uppercase;
    font-size: 700;
}

.title h2 {
    font-family: 'Roboto', sans-serif;
    font-weight: 900;
    text-align: center;
    padding-top: 3.5rem;
    color: #1e1e1e;
}

.typo-space-typing::after {
    content: "";
    width: 157px;
    display: block;
    position: absolute;
    border-bottom: 5px solid #ba0000;
    padding-top: .5em;
    margin-top: -10px;
}

.typo-space-english::after {
    content: "";
    width: 250px;
    display: block;
    position: absolute;
    border-bottom: 5px solid #ba0000;
    padding-top: .5em;
    margin-top: -10px;
}

.typo-space-science::after {
    content: "";
    width: 250px;
    display: block;
    position: absolute;
    border-bottom: 5px solid #ba0000;
    padding-top: .5em;
    margin-top: -10px;
}

.typo-space-testi::after {
    content: "";
    width: 255px;
    display: block;
    position: absolute;
    border-bottom: 5px solid #ba0000;
    padding-top: .5em;
    margin-top: -10px;
}

.typo-space-partner::after {
    content: "";
    width: 175px;
    display: block;
    position: absolute;
    border-bottom: 5px solid #ba0000;
    padding-top: .5em;
    margin-top: -10px;
}

@media only screen and (max-width: 1200px) {
    .title {
        margin: 1.5rem 2.2rem 1rem;
    }
}

@media only screen and (max-width: 500px) {
    .title {
        justify-content: center;
    }
}

@media only screen and (min-width: 320px) and (max-width: 369px) {
    .title h2 {
        font-size: 1.1rem;
    }
    .typo-space-typing::after {
        width: 80px;
        margin-left: 20px;
        padding-top: 1rem;
    }
    .typo-space-english::after {
        width: 125px;
        margin-left: 35px;
        padding-top: 1rem;
    }
    .typo-space-science::after {
        width: 125px;
        margin-left: 35px;
        padding-top: 1rem;
    }
    .typo-space-testi::after {
        width: 125px;
        margin-left: 35px;
        padding-top: 1rem;
    }
    .typo-space-partner::after {
        width: 100px;
        margin-left: 15px;
        padding-top: 1rem;
    }
}